                                    ,,_
                                  o"   )~
                                   '' ''
    +----------------------------------------------------------------------+
        Scriptname    : adresSQL
    +----------------------------------------------------------------------+
        Copyright (c) : since 2009 Matthias Nitzschke (mn-portal.at)
        Version       : see vars/version.var
        Web           : http://www.mn-portal.at
    +----------------------------------------------------------------------+
        Author        : Matthias Nitzschke <office@mn-portal.at>
    +----------------------------------------------------------------------+
        License       : see /docs/license.txt
    +----------------------------------------------------------------------+


Changelog


14.7.2026

- Hinweis max_post_size und max_inpu_vars in install.php aufgenommen (damit konfiguration gespeichert werden kann)
- Berichte Abfragen hinzugefügt
- Fehler bei Installation behoben
- SELECT • als Bericht oder Abfrage wird bei Installation nicht mehr bereinigt (verursacht Fehler).


24.6.2026

- Logout Karteikarte hinzugefügt, schaltet die Logout Buttons im Pagefooter ab.


18.6.2026

- Array Lese-Fehler bei Userkonf behoben
- Fehler pagefooter Buttonleiste wenn keine Session[idtoshow] vorhanden behoben


16.6.2026

- Neues Design als Standard (default) gesetzt.
- altes Design ist nun unter alternativ verfügbar


3.6.2026

- Neues Design (alternativ) hinzugefügt.
- CSS erweitert und Templates angepasst
- Diverse Notice-Fehler behoben
- W3C Standard (sofern Fehler bekannt) wieder hergestellt


27.4.2026

- Sortierung nach IP-Adressen hinzugefügt (feldnamen in /vars/.htipfields)


20.4.2026

- Neues Design/style (alternativ) hinzugefügt.
- diverse zusätzliche Style Einstellungen hinzugefügt.


15.4.2026

- pdf print notice-Fehler in Anzeige behoben (wenn Error-Anzeige eingeschalten ist).


1.4.2026

- Übersetzung admintools angepasst
- REDME erweitert
- Suchen zu/abschalten im admintool angepasst
- 25.3.2926
- PDF Vorschaubild für Wawi in den Uploads hinzugefügt
- Plugin Diverse Tools erweitert und PDF-Vorschaubild Wawi ein/ausschaltbar gemacht


17.3.2026

- Ausgabe-Kosmetik am Plugin dashboard
- Korrektur Admin-Hilfe


16.3.2026

- clean_query über Session abschaltbar gemacht (Bericht)
- Log Debugging für clean_query() erweitert (Anzeige vorher ==> nachher)


12.2.2026

- VERS 1.4500
- Diverse Anzeigefehler behoben.
- Readme um neue Mariadb-Einstellungen erweitert
- Dateien DB_SET_CHARSET und DB_SET_NAMES hinzugefügt um Umlaute bei Upgrade auf Debain 13 korrekt darzustellen.


12.4.2023

- Plugins für Admin-Tool über das Internet wählbar gemacht.
- Einfache, freie Plugins downloadbar gemacht


4.4.2023

- Eventkalender Tagfarbe bei Datumsübergreifenden Events angepasst.


29.3.2023

- in search.tpl den Parameter debug eingefügt, der Informationen, welches Script verwendet wird, anzeigt.
- In der Event-Suche den Parameter "öffnen als Link" eingeführt. Ergebnisse werden als Link in neuem Fenster geöffnet
- Suche konfigurierbar gemacht, es kann festgelegt werden, welche Suchen angezeigt werden.
- Funktion clean_array() hinzugefügt.
- Weitere Suchen konfigurierbar gemacht und Admintool hinzugefügt.


28.3.2023

- VERS 1.4400
- Konfiguration der Feiertage in Admintool eingebaut.


15.10.2022

- Diverse kleine Fehler behoben


27.9.2022

- Administration wichtigste Teile auf Englisch übersetzt.


21.9.2022

- Languagedateien auto-copy der deutschen Datei, wenn Sprache nicht vorhanden.
- Admin-Tools auto-Deutsch, wenn Sprachdatei nicht vorhanden.
- adresSQL auf simples Englisch übersetzt.
- Sprachdatei Wahl so gestezt, dass wenigstens Deutsch geladen wird wenn keine Übersetzung vorhanden.
- Wawi fehlt.


31.8.2022

- Ticker Anzeige Events an "bis-Datum" angepasst
- User-Ticker Events an "bis-Datum" angepasst
- Neues Plugin für Admin-Tools integriert ("Diverse Tools (de)aktivieren") und diverse Aktivierungen darin zusammengefasst


27.4.2022

- Funktion getTablenameFromQuery($query) entfernt
- Fehler in getTableFieldnames() behoben, Tabellenname muss unter Backticks.
- README auf aktuellen Stand gebracht.
- no header Aktivierung in Klonen-Tool (Admin-tool) eingebaut
- Schalten des Filecounter, renew_file_right, baikal_debug ind Admin-Tools integriert.
- Style für Anzeige aktive/inaktive Funktionen in Admin-Tool angepasst. Aktive sind nun Rot!


7.4.2022

- sane Modul überarbeitet (sane kennt ab aktuelleren Versionen einige Schalter nicht mehr, z.B. -t -l etc)
- SANE_DEBUG eingefügt (schaltet die Anzeige des scanimage-Befehl ein/aus)
- admintools erweitert, galerie dump und sane_debug zu Anzeigen (de)aktivieren hinzugefügt.


5.4.2022

- Fehler Baikal Ganztagestermin behoben.


4.1.2022

- Einige Session umgebaut, manche Sessions werden nun mit der session_id() als Index abgelegt.
- Session['files'] auf Session[session_id()]['files'] umgebaut (PHP macht da irgendwie Probleme in mehreren
- Browserfenstern) und der Cache wird dann nicht richtig aktualisiert.


22.3.2022

- baikal Konfigurationsdatei erweitert und Adminscript zur Erstellung und Modifikation erstellt.


21.3.2022

- baikal-Unterstützung auf neueste Baikal-Version gebracht.
- baikal-template für kalender implementiert (caldav/.htcaldav)
- baikal.conf für Importe implementiert


10.3.2022

- Admin-Tool zum ein/ausschalten diverser Funktionen die über Dateien geregelt werden (SHOW_EVENTS, CONVERTLOG etc).
- safety-Modul um monatsweises Loggin der IP's, die sich einloggen wolen, erweitert.


8.3.2022

- Start-Ordner automatisch erstellen Zentralupload und Bildergallerie bei erstem Modul-Aufruf.
- Edit der Konfiguration überarbeitet, Parametername wird hervorgehoben, Daten werden nun alphabetisch nach Param-Namen sortiert.


7.3.2022

- Parameter in Adminstration/Konfiguration suchbar gemacht, Gruppen, die Suchbegriff beinhalten, werden namentlich angezeigt.
- Kleinere Div-Fehler in der Administration behoben.
- Fehler "manchmal kein Pfad" bei Aufruf Adminscript-Scriptsprache behoben.


4.3.2022

- Hilfe zu Umkreis Konfiguration
- Übersetzung der Ländernemen in Umkreissuche#


3.3.2022

- Datenbank alle Tabellen auf utf8_unicode_ci umgestellt
- Useradministration Fehler man kann sich selbst editieren behoben.
- Zip-Tabelle import auf Unicode_ci umgestellt.


25.2.2022

- Umlautfehler kleines ö in den Textinfos behoben.


23.2.2022

- Fehler Download Ergebnis der Umkreissuche behoben.


21.2.2022

- Admin-Tool Plugin um Telefonlink-Datei zu erstellen.


18.2.2022

- Adressfeld-Link zu mn-portal hinzugefügt
- Telefonlink in Detailansicht (klick auf Feld Telefon) hinzugefügt (Datei regelt welches Feld welches Protokoll verwenden soll)


17.2.2022

- ucfirst, ucwords, toupper, tolower auf mb Funktionen umgestelt, dann funktionieren auch Umlaute
- Fehler `ausgabe_ue` fehlt bei eigenen Feldern-Anzeige behoben.
- Spendenbutton bei Login auf min-width geändert.


15.2.2022

- Fehler in Admintool Filebackup (Verzeichnisse werden falsch gelesen) behoben.


24.1.2022

- Admin-Tools Dashboard um Termine, Events und Zeiterfassung erweitert.
- Admin-Tools Dashboard um User und Zentralupload erweitert.


21.1.2022

- Fehler bei Neuinstallation Zentralupload behoben.


28.12.2021

- Admintools Bei Login shuffle Farbtabelle ein/ausschalten
- Admintools Buttons User-ID setzen anzeigen/ausschalten
- Admintools Klonen aktivieren/deaktivieren
- README_DE erweitert und auf neueren Stand gebracht


27.12.2021

- Zeiterfassung Überstunden/Fehlsunden aus Vorjahreszeiten hinzugefügt.
- Zeiterfassung Jahr abschliessen hinzugefügt.


23.12.2021

- Readonly Flag blendet nun inaktive Buttons in Fussleiste für Gäste aus.
- Admin-Tools funktion my_shuffle hinzugefügt um Farbdatei (Eventkalender Farbmarkierungen) neu zu mischen.
- Admin-Tools Farbcode-Tablelle kannn mit ausgewählten Farben neu erstellt werden,


13.12.2021

- Farbcodes in Events Fehler bei nicht genügtend Farbeinträgen ind Farbcode-Datei behoben.
- Zentralupload init-complete Fehler bei Sortiervariable behoben.
- 17.11.1021
- Zeiterfassung Zeiten editieren erweitert, Zeiten löschen akiviert
- Zeiten editieren Anzeigefehler mit aktuellem Tag/Monat behoben.


11.11.2021

- Spendenbutton Paypal hinzugefügt (mal sehen ob sich dann wer erbarmt...)


01.09.2021

- Fehler Enums und Set $_POST Übergabe im Formular "neue Datensatz" und beim Klonen behoben, Einstellungen bleiben nun erhalten.


17.6.2021

- Datensatz Klonen hinzugefügt
- Formulareingabe in Edit und Neuanlage aufgesplittet


15.6.2021

- Admin-Tools (swissknife) Pfade als Vorauswahl bei File-Backup
- Backup Rückmeldungen schaltbar über File "use_fp"


22.2.2021

- Neue Default-Detailanzeige ist das eigene editierbare templates ausgabe_ue_own.tpl.
- Unterverzeichnis /templates/adressenscript/defaults eingefügt.
- Diverse REM Infos geändert
- Admin-Tools - Dashboard - Anzeige der Datenbankcodierung hinzugefügt
- User und Zentraluplod Textdateien in externem Reader anzeigen (UTF-8 Kodierung)


12.2.2021

- Sortierung wie in Dateimanager in Bildergallerie eingefügt (zuerst Zahlen, dann aphabetisch unabhängig von Gross/Kleinschreibung)
- Liste aller Dateien die pdf-Tool geöffnet werden sollen in Config (Konverter) eingefügt.
- Anzege-Filter für gesperrte Daten in Pagefooter eingefügt.


17.12.2020

- Geburtstagsliste (admin) Sortierungsfehler in Tabelle behoben.
- Auftrag und Rechungsliste Download in Adressanzeige integriert


15.12.2020

- adresSQL kompatibel auf 5.5.5-10.3.27-MariaDB-0deb10u1 Debain 10 (Buster) php 7.3
- htm2pdf count Warning behoben.
- Diverse depreciated Anpassungen.
- Diverse Anzeigefehler php7.3 und Imagemagick behoben.
- $config['use_imagick_func'] Default von Shell auf PHP umgestellt.
- Geodaten in Boldergallerie angepasst und Warnings behoben.
- Plugin Security legt beim Start localhost als Zugriffs-IP automatisch an.


9.12.2020

- Plugin Dashboard eingebaut, Pluginbereinigungen.
- Handbuch Wawi erweitert.
- Funktion get_header_path() eingefügt und über Konfiguration schaltbar gemacht.


20.11.2020

- User kann nicht admin und Nur-Lesemodus gleichzeitig sein, Fehler in Adminisration behoben.
- Rechte für Zuggriff im Nur-Lesemodus auf Zentralupload und Userupload und Zeiterfassung einstellbar gemacht.


30.10.2020

- Anzeigefelder in Adressverknüpfung über Datei templates/connected/vars/NAME_TO_SHOW einstellbar.


15.10.2020

- Für eine Formular Eingabemanipulation die Funktionen. DELETE_SPACES, TO_LOWER, UC_FIRST und UC_WORDS eingefügt und je Formularfeld schaltbar gemacht.
- So können nun die Schreibweise der Eingaben automatisiert (z.b. auf Kleinbuchstaben) vereinheitlicht und standardisiert werden.
- Admin-Tools um Hilfeanzeigen erweitert.


8.10.2020

- Schaltbare Funktion clean_query() eingefügt, durch die SELECT , durch die Spaltennamen der Tabelle ersetzt werden kann.
- 2 neue Plugins für die Admin-Tools, um SQL_MODE zu setzen bzw. die Funktion clean_query() zu (de)aktivieren.


17.6.2020

- ERROR 1055 (42000): Expression.... sql_mode ONLY_FULL_GROUP_BY über adresSQL anpassbar.
- SQL_MODE für Session änderbar.


9.1.2020

- Übersetzungsfehler Zentralupload behoben.


28.11.2019

- Plz-Umkreissuche automatische Installation der Tabelle und Daten beim ersten Aufruf
- Zentralupload zusätzlich zu User Upload. Sichtbar für alle
- User und Zentralupload können über die Datei INIT_COMPLETE nun auch die Sortierung beim init zurücksetzen.
- Admin-Tools Downloads (neben dem Logo) per Klick ermöglichen.


9.10.2019

- Sprachdatei-Fehler in Übersetzung beim ersten Aufruf behoben
- GPS Warning bei fehlenden Geotags in Bildergallerie behoben.


10.7.2019

- Security-Mod für IP-Abfrage erlaubter IP`s hinzugefügt.
- Admin-Tool Plugin zur Verwaltung des Security-Mods hinzugefügt.


2.7.2019

- Maps-Anzeige aus Config entfernt und kompllett in Datei vars/maps.var ausgelagert.
- Plugin zu erstellen eines mpas-Files für Admin-Tool erstellt.
- Adressen verknüpfen, Gallerie, Events und User-uploads ab Version 1.3036 entfernt, geht nur an unterstützende User


18.6.2019

- Es greifen nun alle Kalender auf die selben Feiertagseionstellungen zurück. Feiertage für Termine, Events, und Zeitmanegement in Variablendatei vars/feier_norm.var und vars/feier_special.var ausgelagert.
- Import-error-Log in templates/admin/import/logs verlegt und Aufbau wie andere errorlogs
- Register-Modul Logfile nun in Logviewer integriert.
- Auslagerung von Feiertagen in Dateien, Termine, Events und Zeiterfassung greifen nun auf dieselben Feiertage zu und müssen nict mehr einzeln gewartet werden.


12.6.2019

- Hauptdatensatz beim Donwload verknüpfter Daten als ersten Datensatz hinzugefügt.
- phpsane fragt auf Wunsch zusätzlich IP des devices ab. IP steht in File DEVICE_IP


11.6.2019

- Datensatz Ab Anlage-Datum Abfrage wird nun korrekt in den Serienbrief übernommen.


7.6.2019

- Fehler einer fehlenden SQL-Abfrage im Serienbrief bei ausgewähltem Anlagedaums-Filter behoben.


6.6.2019 (vers. 1.3036)

- Neu Version online


22.5.2019

- Diashow in Bildergallerie wahlweise nun auch in einem separatem Fenster aufrufbar.
- Bildgrösse passt sich automatisch der Fenstergrösse der Diashow an.
- GPS-Daten der Bilder (wenn vorhanden) werden ausgelesen und können an eine Karte übergeben werden (osm, epsg, google).
- Mehrer neue Parameter in Gallerie-Konfiguration eingefügt.
- Konfiguration nun simpel gruppierbar.


16.5.2019

- header("location") Pfad wird mit Parameter set_abs_path=1 nun absolut gesetzt.


8.5.2019

- Sprachdateien gesplittet und separate Datei für Administration und Gallerie erstellt
- Zeiterfassung, SQL Export von User Loginzeiten
- Zeiterfassung, SQL Import der Loginzeiten zu einem beliebigen User
- Zeiterfassung, Löschen von Anwesenheitszeiten
- Zeiterfassung, Auswertung zeigt nun sowohl Anzahl Sekunden und Stunde/Min/Sek der Anwesenheitszeit an.
- Tool zur Erstellung eines Konfigfiles für Filesuche in Admin-Tool integriert
- Tool zur Erstellung einer Liste der Upload-Endungen die in _BLANK geöffnet werden sollen in Admin-Tool integriert.
- Notice-Ausgabe bei fehlendem Namen in Adressfeld-Links der Datenneuanlage behoben.


18.3.2019

- Replacezeichen für Leerzeichen in Formularen als Konfig-Var eingetragen (Zeichen und Symbole)
- Tool zum festlegen, in welchen Formular-Feldern Leerzeichen ersetzt werden sollen, erstellt (Admin -> Sonstiges und Hilfe -> Leerzeichen in Daten).
- Adminbereich alle Doc-Dateien an die eingestellte Sprache als Präfix eingestellt (z.B. de_xxx.txt).
- Der Admin-Hilfe ist nun die Adminkategorieen zu den Hilfe-Begriffen hinzugefügt.
- Mailarchiv löschen mit Checkbox gesichert.


28.2.2019

- POST und GET in Unterverzeicnisse ausgelagert und in alphanummerischen Dateien untergebracht (zwecks Sortierung und fester Reihenfolge)
- /vars/DWNLOAD_PAGING wenn existent, wird beim Download in der Übersicht nur die angezeigte Seite als CSV geladen, sonst immer der ganze Datenbestand.


27.2.2019

- Detailanzeige: Die Kartei zeigt nun den Inhalt des Feldes, auf dem der Link zur Datailanzeige gesetzt ist als Namen.
- Unterverzeichnis "search" für weitere variable Suchparameter angelegt. Verzeichnisinhalt wird per include in Suchformular eingebunden.


21.1.2019

- Einige Scripte der User-Config in Funktionen verlegt und so kleine Scripts aus root-Verzeichnis eleminiert.
- index_gets in neues Verzeichnis gets verlegt und $_GET Abfragen nach ihren Aufgaben aufgeschlüsselt.
- 2 neue Dateien, /vars/edit_focus und vars/newdata_focus mit dem Feldwert auf den der focus bei Formularaufruf gesetzt werden soll.


18.1.2019

- Anlagefilter auf Suche und Buschstaben erweitert.


15.1.2019

- Daten nach Anlagedatum filterbar.


5.1.2019

- User-ID für Suchergebnisse setzen/entfernen
- Blätterfunktion durch die Datensätze in der Detailansicht


13.12.2018

- index_gets in Unterdateien zerlegt


29.11.2018

- Download für Funktion myfetch_table() für admins eingefügt (damit kann die aktuelle Anzeige für Daten und Termine als csv downgeloaded werden).
- Logdatei Name und Einträge vereinheitlicht. Logs werden nun Monatlich gespeichert.


18.10.2018

- Eine einmal getätigte Zuordnung eines Termins zu einem Datensatz kann nicht mehr gelöst werden und ist nun fix.


4.10.2018

- WAWI Auftragsstorno Ausdruck wird automatisch generiert.
- Kundenbelege können nun nach Dateiattribut Datum oder nach Datum Einträgen in der DB gefiltert werden.


27.9.2018

- Bildergallerie Navigation verfeinert


25.9.2018

- PDF Vorschaubild im Tooltip der Useruploads auf php7 ungestellt. Thumbs werden nun im Temp-Userordner im Unterverzeichnis pdfthumb abgelegt.
- Wahlweises Löschen aller PDF-Vorschaubilder in Konfiguration eingefügt
- flattenimage() als Funktion für PHP eingefügt (PHP7 kompatible Thumbnailerstellung)
- conf.php Doku angefangen


15.8.2018

- ereg_wrapper hinzugefügt, stellt die alten ereg-funktionen unter php7 zur Verfügung.


3.7.2018 (vers. 1.3034)

- Bugfixes


12.4.2018

- Parameter für Seitenausrichtung, Seitenformat und PDF-Klassen-Sperache der Wawi-PDF-Erstellung in Dateien ausgelagert.
- Wawi Handbuch erweitert
- PLZ-Umkreissuche ist nun je User konfigurierbar


23.3.2018

- Befehl convert folgt nun convert [input options] input file [output options] output file.
- PDF-Thumbnail Datei verkürzt und vereinfacht
- Upload Endungsprüfung und Punkte aus Dateinamen entfernen vereinfacht
- Parameter $config['imagick_post_command'] entfernt


21.3.2018

- Adressen Verknüpfungen Downloadbar gemacht.
- Adressen Konfiguration je User speicherbar
- Adressen Konfiguration erweiterbar gemacht
- Adressen Konfiguration Hilfe komplettiert
- Logviewer überarbeitet, Konfiguration je Log online editierbar gemacht


12.3.2018

- Wawi Aufträge Sicherungskopie User Schrittweise reproduzieren.
- Links in Übersicht für Wawi-Suche angepasst.


6.3.2018

- Wawi Auftrag/Rechnung/Lieferschein-Suche Sql-Queries in Dateien ausgelagert (wawi/sql)
- Ausgabe der Wawi-Suche in Übersicht Formatierungsfehler behoben
- Ausgabe Wawi-Suche Betragfehler (negativ) bei Stornoauftrag behoben


28.2.2018

- Anzeige der Wawi Belege in eigenes Subdatenblatt ausgelagert.
- Subdatei Neue ID in Datei ausgelagert (vars/.htsubid)


27.2.2018

- Navigationsleiste in Bildergallerie ausblendbar gemacht.
- Admin-Tool Rechte-Tabelle wird in 5`er Schritten um Rechte erweitert
- Admin-Tool zur Integration von zusätzlichen Stylesheets.
- Mailarchiv speichert nun auch Massenmails.
- Handbuch Wawi ergänzt.


25.1.2018

- Adressen Verknüpfen Online-Konfiguration
- Löschen von verknüpften Adressen
- Sprachdatei angelegt


23.1.2018

- Adressen verknüpfen


19.1.2018 (vers. 1.3033)

- User Konfiguration Button-Kosmetik ;-)
- User Uploads Schönheitsfehler PDF-Vorschaubild beseitigt.


18.1.2018

- Anzeige für Subdatenblätter Eigene Felder und Datei-Uploads in der User-Konfiguration schaltbar gemacht.


7.12.2017

- Adressfeld Link anlegen Bug (Fenster öffnet nicht) bei Selects behoben.


6.12.2017

- Subdatenblatt aktiv/Inaktiv setzen.
- Subdatenblatt Position verschieben.
- Neues Subdatenblatt "Verknüpfte Adressen" integriert (Modul noch nicht aktiv)
- adressql komplett php7 tauglich gemacht (Fehler und Warnings behoben)


8.10.2017

- Suche in Postleitzahlen-Umkreissuche
- Einige Downloads an Browsersicherheit angepasst und Fehlermeldungen behoben.
- Admin-Tool erweitertes Backup, Pfade administrierbar gemacht.


26.9.2017

- Zusätzliches Plugin Admin-Tool um im header nocache zu setzen/entfernen
- PLZ-Umkreissuche mit Autocomplete bei der Ortssuche
- Erweiterung im Backup-Plugin, Pfade für Verzeichnisse können nun Wählbar bzw unwählbar gemacht werden.


28.8.2017

- Admin-Tool Sprache passt sich an adresSQL-Spracheinstellungen an.
- Design des Tools angepasst und Blätterbar gemacht
- 18:8.2017
- Archivierung eines Massenmails integriert


11.8.2017

- Neue Postleitzahlen-Tabellen-Dump für Modul Umkreissuche erstellt
- Modul PLZ-Umkreissuche für eine Postleitzahl hinzugefügt.
- Check TRUE/FALSE, ob eine bestimmte PLZ im Umkreis von einer anderen Postleitzahl liegt,.


8.8.2017

- Datenbank Backup header-Fehler während des Backup-Downloads behoben.
- Fehler in Administration-Backup-Script, fehlende Funktion behoben.
- Backup-Funktionen in eigene Datei ausgelagert.
- Fehler im Pfad zu Statusbildchen behoben.
- Backup-Plugin konfigurierbar gemacht und erweitert.
- Zusatzmodul zur Selbst-Registrierung für User erstellt.
- Fehler in Script-Konsistenz-Prüfung behoben.
- Install-Script verfeinert und Fehlerprüfung erweitert.


7.8.2017

- Adressfelder Link nun für die Formulare Ansicht, Neuanlage, Edit unterschiedlich anlegbar.
- adresSQL Changelog

 nun in der Administration -> Hilfe einsehbar.
- Zurück-Link in adresSQL Hilfe, Readme, License.


29.6.2017

- vcard-Export in Version 2.1, 3.0 und 4.0 zu formatierten Export hinzugefügt.
- Styles grün und gray für kommende Versionen hinzugefügt.
- (Für Spender) Plugin "Uploads Backup" in den Admin-Tools hinzugefügt


14.6.2017

- Designs, bei fehlenden Bildern Bildlinks des default Designs verwenden.
- Update Fehler fehlender Funktionsaufruf behoben
- (Für Spender) Admintool neues Plugin, das Fehler bei Sprachdatei-Umschalter autromatisch behebt
- Update, Sprachdateien werden beim Update automatisch in Sprachumschalter eingetragen.


7.6.2017 (vers. 1.3032)

- One Klick Designwechsel in Admin-Tool untergebracht


31.5.2017

- Entfernen des Parameters bildendungen zum Öffnen von Bildern in einem Bildbetrachter
- Neuer Parameter picviewer zum Öffnen von Dateiendungen in einem Bildbetrachter
- Neuer Parameter newwindow zum öffnen von Dateiendungen in einem eigenen Fenster


29.5.2017

- Eigene Übersicht, Geburtstagsanzeige mit den neunen Konfigurationsparametern "Formatierung des Datums" und "Sortierrichtung für SQL-Abfrageversehen" versehen. Datumswerte werden nun mit str_to_date() formatiert und sortiert.
- Stylespezifische Bilddateien ins Designverzeichnis ausgelagert.
- Der Stylepfad ist nun in die Parametergrppe "Style und Farbangaben" verlegt und wurde in die Parameter "Designsverzeichnis" und "Stylesheet" zerlegt. Bleibt der Parameter "style_sheet" leer, wird als Stylename automatisch "adressen_style.css" angenommen. So kann ein komplett Design über die Änderung nur des Design Parameters geändert werden.


11.5.2017

- $adressql_jsscript als Variable in pagefooter hinzugefügt, es kann ein Pfad zu einem JS-Script an den footer übergeben werden.
- $adressql_code als Variable in pagefooter eingefügt, es kann Code an den footer übergeben werden
- Bildergallerie kleiner Fehler behoben
- Erledingt Filter im Terminkalender. Erledigte Termine können nun ausgeblendet werden.


10.5.2017

- Konfiguration für Useruploads und Bildergallerie werden nun beim ersten Aufruf automatisch erstellt
- Konfiguration für Useruploads und Bildergallerie online einstellbar gemacht.
- Eine Preload Variante für Bildergallerie hinzugefügt.
- Funktionen in einzelen Dateien aufgeteilt, daher nun kürzere Ladezeiten und weniger Speicherbedarf.


20.4.2017

- Administration, Zeiten editieren erweitert
- Kleinere Kosmetik-Fehler (Fenstergrösse Umbrüche) in User-Upload behoben
- Sortierfehler in Bildergallerie und User-Uploads behoben.
- Zusatz Styleaufruf im header-Template über Parameter $added_style hinzugefügt.


12.3.2017

- Ausdruck/Download der Zeiten aus Zeiterfassung begonnen.


5.3.2017

- Schweizer Taschenmesser erweitert!
- Upload/Download in beliebiges Verzeichnis, Rechte in Verzeichnnissen setzen, .htacces erstellen.
- Fehler Korrektur in User-Rewrite-Engine korrigiert
- Code verbessert in Mailarchiv verwalten.
- Preload in Bildergallerie integriert
- weitere Slideshow-Variante (fade) in Bildergallerie integriert.


7.2.2017

- Fehler im Massenmail entfernt
- Fehler in Dump-Script entfernt
- Adressfeld-Link hinzugefügt
- es kann auf jeden Feldnamen ein eigener Link gesetzt werden, der ein Script
- oder eine Webadresse aufruft
- Zusatztool (Schweizer Taschenmesser) Administration begonnen
- z.B.Liste aller crypt-Methoden, Dateisuche über alle Verzeichnisse (inkl versteckter Dateien)


28.1.2017

- Administration Zeitmanagement, Konfig-File je User anlegbar
- Zeitauswertung (User, Jahr,Monat) begonnen.
- Edit Zeiterfassung in der Administration


19.1.2017

- Anwesenheitsübersicht (Tage, Monat, Jahr Zeitmanagement
- Hilfe für Zeitmanagement


7.1.2017

- Modul Zeitmanagement begonnen
- Automatisches Zeiterfassungs-Login/out bei Anmeldung an adresSQL


02.12.2016

- Zusätzliches Eingabe Formular
- Daten-Anlage, Daten Edit ist nun mit dem Ausgabeformular der
- eigenen Ansicht identisch und somit variabel


25.11.2016

- Neue Buttonsets im Admincenter mit farblicher Codierung je Modul.
- Bei wichtigen Admin-aktionen wird der Button im Script angezeigt.


22.11.2016

- Wawi Zusatzadressen für Auftrag, Lieferschein, Rechnung


21.11.2016

- Slideshow in Bildergallerie
- Automatische Anlage von Thumbnails Bildergallerie
- PDF-Vorschaubild User-Uploads


10.11.2016

- Kontrastberechnung für Farben in Eventkalender
- Schalter .htaccess Schutz in Wawi Druckkonfiguration
- Wawi PDF-Ausgabe trotz .htaccess-Zugriff-Schutz mittels Script


8.11.2016

- html2pdf als PDF-Klasse für Auftrag/Rechnung/Lieferschein-Ausdrucke hinzugefügt
- Konfigurationsdatei für PDF hinzugefügt
- Wawi-PDF`s je Kunde speichern
- Wawi-PDF`s in Uploads anzeigen
- .htaccess-Schutz für generierte Dateien wird automatisch erstellt


7.11.2016

- Wawi-Ausdrucke als .htm-Datei speichern
- Schalter für PDF-Klasse (erstellen der Ausdrucke als PDF) hinzugefügt


31.10.2016 (Version 1.3031)

- Fehler Termin erledigt, Marker auf anderes Feld verschoben, da bereits verwendet.
- Filesuche unerlaubte Dateiendungen und unerlaubte Dazeinamen eingebaut
- Logging für Filesuche in errorlog integriert (.htfilesearch.log)
- Linkanlage auf Feldnamen eines Datensatzes integriert.


21.10.2016

- Filesuche in Suche intergriert
- Filesuche an Rechte gebunden


20.10.2016

- Anzeige Statistik-Detailinfos korrigiert (strip_tags() hinzugefügt um Anzeige nicht zu zerstören).
- Korrektur Fehler bei Thumbnailerstellung beim PDF-Upload


13.10.2016

- Parameter User oder shared Verzeichnis für PDF-Thumnailerstellung hinzugefügt
- Löschen des Vorschaubildes bei Löschen einer PDF hinzugefügt


12.10.2016

- Markieren von Terminen als erledigt/unerledigt
- Erledigt-Filter in Termine integriert (erledigte Termine ausblenden)
- Erledigt-Filter in scroller.php integriert (Terminanzeige heute)
- Link für Termine Übersichtsfenster in eigenen Style-Parameter (.kaloview) ausgelagert
- Neuen Style-Parameter (.kalfilter) hinzugefügt
- Anzeige für erledigt in Terminliste, Terminübersicht, Deteilanzeige hinzugefügt


8.9.2016

- Korrektur eines Statistik Fehlers bei ausgeblendeten Feldern
- Fehlerkorrektur crontabt.php zum Versenden von Termin-Mails
- Korrektur Accesskey Zuweisung
- Zeiterfassung Daten nun als CSV Downloadbar


28.7.2016

- Hilfe zur Zeiterfassung
- Zeiterfassung ausgiebig getestet, Anzeige verfeinert.
- Administration, Zeitauswertung erledigt.
- Zuschatbares Fehlerdebugging bei Zeitauswertung
- Zeitauswertung Druck für User begonnen.


2.6.2016

- Highlight von Suchbegriffen erweitert (nun auch in Webseiten und Mailadressen)
- Zeiterfassung, Jahresauswertung je User in Administration fertig gestellt
- Zeiterfassung, Ausgabe in Templates untergebracht


20.5.2016

- Autoeinbuchen bei adresSQL Login für Zeiterfassung
- Eigene User-Konfigurationsdatei im Adminbereich erstellbar
- Jahres Anwesenheitszeiten integriert
- Feiertage integriert
- Jahresurlaub wird automatisch abgezogen


10.5.2016

- Modul-Sprachdateien werden nun über die Zentrale Sprachverwaltung gewartet.
- Modul Zeiterfassung begonnen
- User Zeiterfassung Login/logout fertig
- User Zeiterfassung Tages und Monatsanwesenheit fertig


15.4.2016

- Suche nach doppelten Adressdaten mit Löschfunktion in Administration hinzugefügt


31.3.2016 (vers. 1.3030)

- User-Upload kleiner Fehler behoben.
- Rechte für User-Upload über Rechtevergabe integriert
- Fehlerkorrekturen in Bildergallerie.
- PHP7 ready fertiggestellt


30.3.2016

- mysqli Wrapper wurde bei Installation nicht korrekt geladen.
- Warnungen und Fehler für PHP Version 7 behoben.
- Maria-DB und InnoDB Kompatibilität.


24.3.2016

- Umstellung der Installation auf InnoDB
- Temporäres Userverzeichnis leeren in Userverwaltung eingebaut.
- Feintuning User Uploads


16.2.2016

- Karteisystem Ansicht aktiv/inaktiv schaltbar gemacht
- User Upload Bereich


2.2.2016

- Bilder Gallerie intergriert.


19.1.2016 (Vers 1.3029)

- Cache nochmals überarbeitet
- Cache löschen in Userkonfiguration integriert
- Install-Script überarbeitet (wawi-Tabellen werden nun komplett angelegt und Parameter werden gesetzt)
- Login/Logout überarbeitet
- User Online-Anzeige überarbeitet


7.12.2015

- Wawi Installation erweitert, fehlende Tabellen und Spalten werden nun automatisch erkannt und angelegt.
- Wawi bestehende Bestellung verbuchen intergriert
- Handbuch zur Wawi begonnen
- File-Cache erweitert und auto-Reset bei wichtigen Dateien der Konfiguration.
- Rechnung, Auftrag, Lieferschein-Suche in der Übersicht integriert
- Berichtswesen erweitert.


16.11.2015

- Fehler beim Löschen von Adressfelden behoben. Wenn User das gelöschte Feld in der Übersicht oder eigenen Anzeige anzeigen lässt, wird die Anzeige auf Default resettet.
- File Lese Cache neu in Sessions. Erspart das mehrfache Lesen von Dateien.


4.11.2015 (vers. 1.3028)

- Auftrag/rechnung/lieferschein suchen (wawi) Usertemplate integriert
- Wawi-Style Angaben in CSS-Datei ausgelagert
- Install-Script überarbeitet, es werden nun alle adresSQL- Tabellen (auch für die Wawi) angelegt
- Wawi Mindestbestellmenge bei Artikeln integriert.
- Wawi Bestellliste integriert
- Administration -> Feldanlage überarbeitet (Sonderzeichen und Umlaute werden ersetzt)
- Umlautfehler bei ENUM/SET behoben
- CSS-File komprimiert
- Accesskey Anlage Fehler behoben
- function_sql.php und function.php erweitert


2.10.2015

- Dump überarbeitet
- Header Informationen in Dump integriert
- Mailverwaltung (Löschen von Mailarchiv-Daten) in Administration integriert.
- Rechteverwaltung auf nunmehr 20 Rechtefelder erweitert.


28.9.2015

- Der gesamte Mail-Versandt wird nun über 2 Templates und 3 Funktionen gelöst, was die Anpassung der Mailfunktionalität flexibel gestaltet.
- Mail-Attachment in Ausdruck eines Datensatzes hinzugefügt.


22.9.2015

- Mail Headerübergabe an neue PHP-Versionen angepasst.
- Mailarchiv Anzeige, Download und Neuversand von Mails angepasst.
- Parameter $config[add_mailto_for_server] wurde durch $config[use_html_for_cron] ersetzt und regelt nun, ob Cron-Mails als HTML oder als Text gesendet werden sollen.
- Mails werden nun als reines HTML-Mail ODER als reiner Text versendet, nicht wie bisher sowohl als auch.


16.9.2015

- Update-Module Rechteprüfung korrigiert
- Wawi-Modul Auftragserfassung um Lagerverwaltung bei Rwechnung und Lagerstandsanzeige bei Artikeleingabe erweitert.
- Wawi-Modul Lagerzubuchung in Administration hinzugefügt.
- Wawi Hilfer erweitert.


7.9.2015 (vers. 13026)

- Script-Funktion schaltbar, ob die Übersteuereung der Konfiguration erlaubt ist (allgemein)
- Adminbereich wurde überarbeitet, einige Punkte wurden in andere Bereiche verschoben (sicherheit wurde erweitert, Dimensionen wurden entfernt, Admingruppen wurden umbenannt)
- Admin kann flexibel verschiedene Variablen zur Userkonfiguration freigeben.
- Rechte um schaltbare Userkonfiguration erweitert (user darf Konfiguration übersteueren ja/Nein.)
- Userübersicht hat ein weiteres Template (Termine Heute)


28.8.2015

- Anzeigesortierung in Uploads und Uploadverwaltung nun identisch.
- Uploaddatum im Tooltip in der Uploadverwaltung hinzugefügt.


21.8.2015

- Die Installation wurde mit einer Umfangreichen Rechteprüfung versehen.
- Vor Updates wird eine umfassende Rechteprüfung vorgenommen.
- Die Script-Konsistenz wurde in die Datei /vars/files.txt ausgelagert.


18.8.2015 (Vers 1.3025)

- Alias Administration überarbeitet
- Fehler im Link bei Administration, Feldanlage behoben
- HTML-Fehler behoben
- Eine schaltbare laufende JS-Uhr in den Kopfbereich integriert
- Hilfe für User Übersichtskartei angelegt.
- Code Vereinfachung und viel Code-Kosmetik.


21.7.2015 (Vers 1.3024)

- Feldanlage um 2 Varianten von Dropdownfeldern erweitert
- User Übersichtskartei kann nun durch Templates frei definiert werden.
- Kosmetik...


17.6.2015

- OpenStreetMap als Default Karte eingebaut, Strassennamen ebenfalls als Link möglich
- Link zu Karte liegt nun in einem Template (vars/maps.var) und/oder in Konfig-Parameter.


16.6.2015

- Google Maps Ortsanzeige einer Adresse auf Maps-Karte eingebaut.


15.6.2015 (Vers 13022)

- Modulare Übersicht für User fertiggestellt
- User-Konfiguration der Übersicht fertiggestellt
- Event-Kalender und Termine kleinere Anzeigefehler behoben.


12.6.2015

- Fix Fehler Anzeige Anzahl Events im Eventkalender
- Eventkalender und Terminkalender zeigen nun den Namen eines Feiertages an


11.6.2015

- Neu modulare Übersichtskartei für User inkl. Konfiguration (Geburtstagsübersicht, Userinfo und Event-Anzeige)
- Funktionen Erweiterungen und Schönheitsfehler behoben
- Start mit integrierter Zeiterfassung


12.5.2015

- Administrationstool zur Erstellung der Kodierungsdateien hinzugefügt.
- Neu-Import der Konfiguration angepasst.


11.5.2015

- Felder Hinzufügen um ENUM und SET erweitert (es sind nun Auswahllisten möglich)


6.5.2015

- Spezielle Kodierung einstellbar
- mysql(i)_set_charset schaltbar eingefügt
- Query SET_NAMES schaltbar eingefügt
- README entsprechend erweitert.


5.5.2015 (Vers 1.3020)

- Suche Fehler Wildcard behoben (Es werden keine Daten gefunden)
- Fehler Rückgabewert einiger Funktionen und Error-logging behoben.


30.4.2015

- Eventkalender zeigt nun alle Events eines Tages.
- Events direkt Klickbar gemacht
- Ausdrucke übersetzen nun Filter, Status und Usernamen
- Neue Funktionen get_filter_name (Filtername), get_urgend_name (Statusname) und get_savety_name (Gesperrt Ja/nein) zur Übersetzung eingefügt.


21.4.2015

- Modulinstallation erstellen von Doubletteneinträge bei Kartei, Sprachdatei und Subdatenblatt abgefangen.
- Updates verfeinert.


14.4.2015

- Administration in ein Unterverzeichnis verlegt und um zusätzlichen .htaccess-Schutz erweitert.


2.4.2015 (Vers 1.3010)

- Alle Änderungen übernommen.
- Codebereinigungen
- Funktionserweiterungen


25.3.2015

- conf.php aufgeräumt und wichtige Usereinstellungen für die Installation hervorgehoben und Kommentiert.
- Wawi Buchhaltung CSV-Export integriert


23.3.2015

- LDIF-Import integriert
- Bug, Detailansicht behoben, Button "Alle Daten" verweist nun auf die Seite, von der man kommt, vorher immer auf erste Seite.


18.3.2015

- Schaltbare Funtion für Upload hinzugefügt, nur Punkt, ASCII-Buchstaben, Ziffern und Unterstrich sind im Dateinamen erlaubt
- Fehler, Link auf Spalte setzen in Suche behoben.


12.3.2015 (Ver. 1.3000)

- Rechtevergabe komplettiert
- sql_wrapper komplettiert
- Kleinere Funktionsumbauten mit erweiterten Aufrufen
- Parameter Alter eines Datensatzes oder Erstellungsdatum anzeigen eingefügt (Konfiguration bearbeiten -> Ansicht)
- Update auf Prüfung für verschiedene installierte Module umgebaut.


4.3.2015 17.2.2015

- sql_wrapper.php eingeführt (für spätere Postgres-Anbindung)
- Alle mysql_ Befehle aus den Scripten entfernt und an sql_wrapper übergeben


3.3.2015 17.2.2015

- Detailanzeige von Adressdaten nun je User Konfigurierbar
- Verschieben von Zeilen eingebaut.
- Ein/Ausblenden von Tabellenzeilen
- Einfügen/Löschenvon Leerzeilen
- Standard wieder herstellen eingebaut


25.2.2015 17.2.2015 (Beta)

- Umfangreicher Umbau der Rechte
- Readonly-Flag für User in Useranlage hinzugefügt (alle Schreib, Edit und Druckprozesse werden verhindert)
- Die Datenanzeige kann nun zwingend komplett auf öffentliche Daten und die Daten, die dem User gehören beschränkt werden (Admin sieht alle).
- Termine Fehler behoben, der [i]Erinnerungs-Scroller[/i] für wichtige Termine holt nun auch die Rechte aus der Rechteverwaltung und beschränkt die Anzeige korrekt.
- Anzeigefehler behoben (Ein User-Login und sofort danach ein Klick auf "Neuer Datensatz" verursacht bei Abbruch der Anlage einen Fehler)
- User kann nun festlegen, unter welcher Kartei der Scroller angezeigt werden soll.
- Hinweis:
- Die Möglichkeit der Beschränkung der Anzeige auf "nur öffentliche oder User eigene" (siehe Punkt 3) Daten durchbricht zwar teilweise die grundlegende Idee von adresSQL ALLEN Usern ALLE Daten zur Verfügung zu stellen, Ich komme aber mit dieser Möglichkeit einem mehrfach getätigten Wunsch nach, die eigenen Daten für andere User unsichtbar machen zu können.
- Es werden weiter hin keine getrennten Adressbücher geführt, es ist noch immer alles in einer Datenbank. User können natürlich Ihre Daten auch anderen freigeben, indem sie die Bindung des Datensatzes aufheben und sie somit öffentlich machen.
- Das Script ist so nun nahezu für jeden Einsatz konfigurierbar.


20.2.2015 17.2.2015 (vers. 1.2249)

- Update der Textbausteine im Serienbrief Fehler behoben (es wurde ein neuer Baustein mit dem selben Namen angelegt)
- Hilfe überarbeitet


17.2.2015 (vers. 1.2248)

- Umlautproblem in Betreff bei Massenmail behoben


15.2.2015

- Accesskey konfigurierbar in Administration
- Buttons mit Accesskey-Steuerung werden nun automatisch in die Datenbank eingetragen und sind so automatisch konfigurierbar.
- Änderung am Logviewer, utf-8 Kodierung kann nun für jedes Logfiles auch für den Inhalt individuell eingestellt werden.


30.1.2015

- Buchstabenliste geändert (alle Daten werden nun über und Sonderzeichen werden nun über 0 (NULL) aufgerufen um Accesskeys auch für die Karteikarten zu ermöglichen
- Karteikarten können nun über die Accesskeys 1 bis 9 angesteuert werden.
- Variable Accesskey-Definition begonnen
- Fehler in Bildbetrachter behoben, wenn Adressdatensatz-Bild angeklickt wird


27.1.2015

- Anzeigefehler Statistik auswerten behoben (Feldnamen ab Feld Info wurden nicht korrekt angezeigt)
- Notice-Anzeige in Statistikauswertung behoben
- Kleinere PHP 5.5 (mysql wird als depreciated angezeigt) Vorbereitungen
- Seitenumbruch als Feld in Serienbrief eingefügt


27.1.2015

- Mail UTF-8 Kodierung im Betreff korrigiert
- Mailansicht und erneuten Mailversandt an neue UTF-8 Kodierung angepasst


26.1.2015

- Eventkalender zeigt nun Events die über mehrere Tage gehen in jedem Eventtag an.
- Korrektur der "mehr" Anzeige in Events wenn Eventanzahl grösser Darstellungsbereich.


21.1.2015

- Mailarchiv zeigt als Tooltip nun auch den AbsendeUSER (nicht nur die Absende-Mailadresse) an.
- Wawi-Button wird nun immer angezeigt, bleibt aber inaktiv, wenn das Modul nicht installiert ist (etwas Werbung in eigener Sache muss erlaubt sein)
- Neues Komplettpaket mit allen Modulen (Wawi, phpsane) geschnürt und updatefähig gemacht.(gegen €70 und auf Mailanfrage erhältlich)


17.1.2015 (vers. 1.2247)

- Serienbrief Modul fertiggestellt
- Textbausteine Verwaltung fertiggestellt (User kann nur eigene Bausteine verwalten und löschen)
- Zugriff auf Berichtsabfragen über Rechteverwaltung eingefügt
- Zusätzliche Speicherung von SQL-Abfragen für Serienbrief eingefügt
- Datenbankfelder aus Abfragen als Platzhalter für Templateengine eingefügt
- Feste Formatierungsfelder für Templateengine eingefügt.
- Eigenes CSS für Seriendruck eingefügt
- Adminbereich für Seriendruck-Verwaltung erweitert.


15.1.2015

- Serienbrief Modul begonnen.
- Filter und Status von adresSQL werden für Serienbrief übernommen
- Textbausteine für Serienbrief (Auswahl und Neuanlage) integriert
- Zeiterfassungsmodul begonnen (User können sich an/abmelden)


02.1.2015

- Adress-Neuanlage wird (wenn Prüfung eingeschaltet) auf bereits angelegten Datensatz geprüft (doppelte Anlage von Adressdaten sonicht mehr möglich)


10.12.2014 (Vers 1.2246)

- Fixed Fehlerhafter Check für Modul-Verzeichnisse und Verzeichniswechsel.
- Diverse Templates in Modulverzeichnisse verschoben


2.12.2014

- Fixed Highlight in Suchbegriffen bei Doppelpunkt fehlerhaft
- Fixed function highlight() Bei Übergabe des Modifikators "\e" wird ein Fehler der Stufe E_DEPRECATED ausgegeben.


6.11.2014

- Import-Uploaddatei mit Namen ".htad_import" vor externem Zugriff geschützt
- Importverzeichnis kann nun gelöscht werden
- Kleiner Fehler bei Installation behoben
- Optionale anonyme Statistik für Online-Update eingefügt (kann deaktiviert werden)
- Online-Anzeige zeigt nun auch wo sich jemand befindet
- Übersicht zeigt in "SQL und Script-Informationen" den Datenverbrauch an
- DB-Statistik zeigt eigenen Datenanteil zusätzlich an
- Admin-Hilfe durch Readme und License erweitert, Readmeanzeige für User entfällt
- Hilfer erweitert und korrigiert
- SQL und PHP-Info in Administration eingefügt
- Für Suche und Loganzeige das Highlight erweitert
- Wawi Mahnwesen erweitert
- Berichte (Offene Rechnungen, Offene Aufträge) für Wawi hinzugefügt


24.10.2014

- php-sane Modul intergriert


13.10.2014

- Installation prüft nun Module und Dienste die verwendet werden können
- Die Startkartei nach dem login kann nun vom User selbst in der User-Konfiguration festgelegt werden


9.10.2014 (Version 1.2244)

- Mailarchiv überarbeitet und den Quelltext als separate Ausgabe hinzugefügt
- Integration des Warenwirtschaft-Moduls überarbeitet
- Wawi Bankeingang bestätigen je User hinzugefügt
- Sessions bereinigt
- Anzeige der Logfiles überarbeitet
- Hilfe erweitert und korrigiert
- Bachups können nun auch hochgeladen werden
- Backups können nun online gelöscht werden


24.7.2014

- Fehler Anzeige von Umlauten in der Statistik behoben
- Import Notice-Anzeigen entfernt
- Falsche Anzeige der Umlaute in der Vorschau bei Import bhoben.
- Primary-Key kontrolle bei Import erweitert.


22.7.2014

- Termine verschieben überarbeitet (ohne Datum wird der Termin ins Nirvana verschoben)
- Datensatz Ausdruck überarbeitet (Auftrags und Rechnungsliste)
- Lieferschein zu Wawi hinzugefügt
- Rechnungseingang bestätigen hinzugefügt
- Trigger-log (Zentrale/Filiale) für Auftragserfassung erweitert


17.7.2014

- Auftragserfassung fertig
- Auftrag editieren, stornieren, drucken fertig
- Rechnung erstellen, drucken fertig
- Administration Grundkonfiguration Auftragserfassung fertig
- Administration Artikelwartung fertig
- Administration Sprache fertig
- Nachdrucke fertig
- Adress-Datensatz Ausdruck für Auftragsliste angepasst


8.7.2014

- Warenwirtschaftsmodul fortgesetzt Siehe auch hier
- Eigener Adminpunkt für Wawi integriert.
- Artikelanlage fertiggestellt
- Positionserfassung für Auftrag abgeschlossen
- autosuggest für Artikelsuche integriert (jquery)


24.6.2014 (Version 1.2242)

- Short_open_tags Fehler in 4 Dateien behoben
- Gruppierungsmöglichkeit der Detailanzeige eingebaut (nach definierbaren Feldern kann ein Abstand in der Anzeige angegeben werden)
- Login überarbeitet
- Kleinere Anpassungen im Mailscript


3.4.2014 (Version 1.2241)

- Verschiedene Verschlüsselungsmethoden des Passworts eingebaut
- Sicherheit für Passwort überarbeitet.


19.2.2014

- Druck einzelner Adressen mit verschiedenen Optionen
- Kleinere Codebereinigungen


24.1.2014

- Upload-Fehler behoben, Sonderzeichen (&, ? etc) werden nun aus dem Dateinamen gefiltert


24.1.2014 (Version 1.2240)

- Adressfelder ausblendbar gemacht
- Notice Hinweise in der Satistik entfernt
- Hilfe erweitert, Readme angepasst
- Beginn Modul "Warenwirtschaft", Auftragserfassung begonnen.


19.11.2013 (Version 1.2230)

- Baikal CALDAV-Server je User integriert (Terminanzeige/edit z.B. in Thunderbird Lightning)
- Mail-Cron Fehler in reiner Textanzeige behoben
- SQL-Error-Logging zeigt nun auch das Script an, in dem der SQL-Fehler aufgetreten ist


24.10.2013 (Version 1.2221)

- Event-Kalender Anzeige erweitert
- ext_events angepasst
- 2 Beispieldateien für Eventanzeige beigelegt (url_include und include)
- Einige weitere Notice-Anzeigen beseitigt
- Event-Ticker Grösse, Höhe und Anzahl der Events in die Administration integriert.
- Help und Readme erweitert.
- Event-Kalender mit Doppelklich zum öffnen eines Termines versehen


9.10.2013

- Fehler in Online-Anzeige behoben
- Einige Notice-Hinweise beseitigt
- Online-Update-Funktion überarbeitet


25.9.2013

- Code Bereinigungen bei Error_reporting(-1)
- Header Charset als Parameter eingefügt


16.9.2013 (Version 1.2210

- 7 short_open_tag Fehler behoben
- Einige PHP-Notice Meldungen entfernt wenn error_reporting(-1).
- Anzeigefehler Administration Eigene Felder anlegen behoben.
- Fehler im Pager in der Statistik behoben.
- Code Säuberungen.


6.9.2013 (Version 1.2200)

- Scrolleranzeige im footer um Geburtstagsanzeige und Mailversand erweitert
- HTML-Mails Syntax für HTML-Content bereinigt
- scroller.var eingefügt, um den Scroller nur in einzelnen Karteien anzuzeigen (z.B. Administration entfällt)


4.9.2013

- Eventkalender integriert
- Zusätzliches Ticker-Script für externe Anzeige der Events fertig gestellt.
- Eventticker, Anzahl der zu listenden Events in Konfiguration integriert.
- Statistik um Events erweitert.
- $_SERVER von PHP_SELF auf SCRIPT_NAME umgestellt (Sicherheit)
- Online Konfiguration umgebaut und auf einzelne Karteikarten verteilt
- Geburtstags Tabelle (aktuelles Tagesdatum) und Datendownload in Admincenter integriert.
- Terminübersicht Anzeigefehler behoben.
- Parameter für mysqldump-Pfad eingefügt.
- PDF-Vorschau Erstellung beschleunigt (es wird nun nur noch von der ersten Seite eines PDF`s ein Vorschaubild generiert). Die Einstellung kann in der Konfiguration wieder umgestellt werden, so dass Vorschaubilder für das gesamte Dokument erstellt werden.
- Modul/Updatefunktion erweitert. Wird eine Readme-Datei (readme.txt) beigelegt, wird diese vor dem Update angezeigt.


9.7.2013

- Attachment Vorschau für Bilder im Mailarchiv eingebaut.
- HTML Quelltext wird nun angezeigt und nicht interpretiert.


3.7.2013

- Fehler beim Aufruf des Termin-Mail-Cronjobs, Cron bricht ab und sendet kein Mail


27.6.2013

- Updatefehler beim Import behoben
- Importe Vorschau Umlaute werden nun richtig angezeigt


19.6.2013

- Terminanzeige heutiger Termine im Pagefuss
- User kann Terminanzeige ein/ausschalten
- wget Prüfung, ob Befehl zur Verfügung steht
- Hilfe kleiner Ergänzungen und Tippfehler beseitigt
- 12.6.3013 (Version 1.216)
- Fehler beim Löschen des Update-Verzeichnisses behoben
- Anzeigefehler Statistik-Grafik behoben
- Kleinere Tippfehler beseitigt
- Online Update per wget integriert (Server muss wget unterstützen).


5.6.2013

- Login Fehler bei falscher Anmeldung behoben (reload des login)
- Konfiguration für dump.php in Admincenter integriert
- Mail Fehler Umlaute im Betreff behoben
- Script Konsistenzprüfung im Adminbereich verbessert
- Statistk kleinere Korrekturen
- Script sollte keine Fehler mehr bei eingeschaltenem error_rporting verursachen
- Online Update begonnen


24.4.2013

- .htaccess wird nun in den Logfile-Verzeichnissen geschützt und nicht mehr als Datei angezeigt
- Die Statusbildchen (Farbcodes) werden nun vom Script generiert
- Im Import ist ein weiterer Parameter TRUNCATE TABLE ja/nein eingefügt worden, der vor dem Import die Tabelle leert.
- Beheben einer NOTICE Meldung in der Detailanzeige in der Statistik.
- Terminkalender Code veinfacht.


28.3.2013

- Login-Cookie Parameter für Lebensdauer eingefügt
- Autologout nach Ende der Cookiezeit
- Umlautproblem Username behoben
- Umlautproblem Cookie-login behoben


27.3.2013 (Version 1.215)

- Login und authentifizierung koplett überarbeitet und erneuert.
- Backup-Logfiles auf Monats-Logfiles umgestellt.


7.3.2013

- Logs auf Dateinamen .ht umgestellt (Sicherheitsrelevant, da in den backup-logs das Passwort im Klartext zu sehen ist)
- Timestamp in den Logfiles wird in lesbares Datum umgewandelt.


11.2.2013

- Anzeigefehler "Trennzeichen Space" beim Import behoben
- Datensatz Sperre zieht nun korrekt
- Neuanlage eines Datensatzes wird nun automatisch dem eingeloggten User zugeordnet


6.2.2013

- Docs-Verzeichnis aufgeräumt und die Hilfe ausgelagert.


5.2.2013

- Korrektur, short_open_tags nicht mehr nötig


4.2.2013

- Fehler in Upload Anzeige behoben (bei sehr vielen Uploads wird die Fusszeile zerstört)
- Datensatz Detailanzeige überarbeitet
- Stylesheet gekürzt
- Auftragserfassung zu Datensatz begonnen.


28.1.2013

- Löschen von Bewertungen hinzugefügt


24.1.2013

- Mailversandt und Archiv überarbeitet (Umlaute sollten nun bei Neuversandt richtig angezeigt werden)
- Parameter zur Verwendung von mb_convert_encoding() hinzugefügt.


22.1.2013 (Version 1.210)

- Bericht fertiggestellt
- Berichtsparamter anlegen
- Paramter zu Daten zuweisen
- Bericht erstellen (SQL-Abfragen speichern)
- fertige Berichte listen und als Datei download bereitstellen)
- Loginkontraolle variabel gemacht (es wird nicht länger auf 1=login geprüft, man kann einen eigenen Kontrollwert eingeben)
- install.php überschreibt keine Userdaten bei erneutem Aufruf.
- Hilfe erweitert und kleinere Fehler behoben)
- Status als Selectdfeld zum Filtern der Daten hinzugefügt
- Suche angepasst und Kalendersuche auf Jahre eingeschränkt


10.1.2013

- Umstellung auf mysqli passiert nun automatisch (sollte das mysql-Modul nicht mehr zur Verfügung stehen)
- phpinfo Anzeige angepasst


1.1.2011

- Start adresSQL Programmierung.






                                               ~
                                             (   )
                                          _(       )_
                                        / ##.\ \.  ..#)__
                                       (:   ##.:  )  _/
                                      ((.-        =)
                                          (_ #'''   ))
                                            (   )
                       /\_/\         )       | |
                      ( 00 ).-```- _/        | |
                     ==(O)==       \         | |
                           ! ...   |         | |
                          /./   \ /          | |
      __________________././   .!/__________/   \__
	sys


